## com.vividsolutions.jts.noding
Class NodingValidator

    java.lang.Object
      com.vividsolutions.jts.noding.NodingValidator

public class NodingValidator
extends java.lang.Object

Validates that a collection of `SegmentString`s is correctly noded. Throws an appropriate exception if an noding error is found.

Version:
  1.7

Constructor Summary
`NodingValidator(java.util.Collection segStrings)`

Method Summary
`void` `checkValid()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodingValidator

    public NodingValidator(java.util.Collection segStrings)

Method Detail

### checkValid

    public void checkValid()